CVE-2016-10095

Priority
Low
Description
Stack-based buffer overflow in the _TIFFVGetField function in tif_dir.c in
LibTIFF 4.0.7 allows remote attackers to cause a denial of service (crash)
via a crafted TIFF file.
References
Bugs
Notes
 mdeslaur> reproducer:
 mdeslaur> https://github.com/asarubbo/poc/blob/master/00104-libtiff-stackoverflow-_TIFFVGetField
 mdeslaur> possibly a dupe of CVE-2015-7554
Package
Source: tiff (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 17.10 (Artful Aardvark):needed
Ubuntu 12.04 ESM (Precise Pangolin):needed
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu Core 15.04:DNE
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 17.04 (Zesty Zapus):needed
More Information

Updated: 2017-08-11 23:19:30 UTC (commit 13081)